[jira] [Commented] (PIVOT-996) Unable to run with SAP JVM

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

[jira] [Commented] (PIVOT-996) Unable to run with SAP JVM

JIRA jira@apache.org

    [ https://issues.apache.org/jira/browse/PIVOT-996?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=15985370#comment-15985370 ]

Roger Whitcomb commented on PIVOT-996:
--------------------------------------

PIVOT-996:  Add new code to ApplicationContext to get the Java Runtime version,
which is in addition to the Java JVM version, and to make it available to other
code as a new API call.

Added this new call to VersionTest to make sure the "decode()" and then "toString()"
methods deal nicely with this value.  Just to make sure we can catch the failure
during testing if this ever gets broken again.

I want to consider deprecating the "getJVMVersion()" method as I don't think it
is useful (anymore, if it ever was?); however, I have not done that in this
submission.

"trunk":
Sending        core\test\org\apache\pivot\util\test\VersionTest.java
Sending        wtk\src\org\apache\pivot\wtk\ApplicationContext.java
Transmitting file data ..done
Committing transaction...
Committed revision 1792793.

"branches/2.0.x":
Sending        .
Sending        core\test\org\apache\pivot\util\test\VersionTest.java
Sending        wtk\src\org\apache\pivot\wtk\ApplicationContext.java
Transmitting file data ..done
Committing transaction...
Committed revision 1792794.

> Unable to run with SAP JVM
> --------------------------
>
>                 Key: PIVOT-996
>                 URL: https://issues.apache.org/jira/browse/PIVOT-996
>             Project: Pivot
>          Issue Type: Bug
>    Affects Versions: 2.0.4
>            Reporter: Sandro Martini
>            Assignee: Sandro Martini
>             Fix For: 2.0.5, 2.1.0
>
>
> As reported in our Dev mailing list, the check on JVM version that we do doesn't work with JVM different than Oracle Java.
> For example the SAP JVM with version "8.1.028 25.51-b14" generates the problem, which is blocking.
> The discussion thread is visible for example [here](http://apache-pivot-developers.417237.n3.nabble.com/Issue-in-Version-decode-with-SAPJVM-td4027425.html).
> We should check if log a warning and continue the execution, or parse anything after he major.minor.patch as a string ...



--
This message was sent by Atlassian JIRA
(v6.3.15#6346)
Loading...